package com.ruoyi.business.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 公司成员，负责招标项目的联系人对象 s_company_member
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class SCompanyMember
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 人名 */
    @Excel(name = "人名")
    private String name;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 项目数量 */
    @Excel(name = "项目数量")
    private Integer bidCount;

    /** 创建时间 */
    private Long createTime;

    /** 更新时间 */
    private Long updateTime;

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setBidCount(Integer bidCount) 
    {
        this.bidCount = bidCount;
    }

    public Integer getBidCount() 
    {
        return bidCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("companyId", getCompanyId())
            .append("phone", getPhone())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("bidCount", getBidCount())
            .toString();
    }
}
